package com.patzn.lims.staff.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.staff.entity.LmsStaffStatus;
import com.patzn.lims.staff.vo.LmsStaffStatusRecordVO;
import com.patzn.lims.staff.vo.LmsStaffStatusVO;

import java.util.List;

/**
 * <p>
 * 人员管理-人员状态 服务类
 * </p>
 *
 * @author patzn
 * @since 2017-11-03
 */
public interface ILmsStaffStatusService extends IBaseService<LmsStaffStatus> {

    Page<LmsStaffStatusVO> pageVO(Page<LmsStaffStatusVO> page, LmsStaffStatusVO lmsStaffStatusVO);

    List<LmsStaffStatusVO> listVO(LmsStaffStatusVO lmsStaffStatusVO);

    LmsStaffStatusVO getVOById(Long id);

    List<LmsStaffStatusVO> calendarList(LmsStaffStatusVO lmsStaffStatusVO);

    boolean updateStaffStatus(LmsStaffStatus lmsStaffStatus);

    Page<LmsStaffStatusRecordVO> pageStaffStatusRecordVO(Page<LmsStaffStatusRecordVO> page, LmsStaffStatusRecordVO lmsStaffStatusRecordVO);

    Boolean add(LmsStaffStatus lmsStaffStatus);
}
